Page MenuHomePhabricator

Make TitlesMultiSelect widget display pending element
Closed, DeclinedPublic2 Story Points

Description

The 'Pages' (and later the 'Namespaces') multi-select input widget should display the stripey "loading" pending animation while the menu is loading.

Event Timeline

Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptNov 15 2018, 7:22 PM
TBolliger triaged this task as Normal priority.Nov 15 2018, 7:34 PM
TBolliger set the point value for this task to 2.
TBolliger updated the task description. (Show Details)Nov 15 2018, 10:25 PM
Tchanders moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 33) board.
Tchanders updated the task description. (Show Details)Nov 21 2018, 11:57 AM

It seems there are two points at which we need to show the loading bar:

  1. while the JS widget is loading, if the user has JS
  2. while the menu is loading, after the input has been changed

After speaking to @Mooeypoo it seems this task is about point 2, so I've updated the description.

It seems that this is already working, and there's nothing to fix. Testing with network throttling, I see:

It seems there are two points at which we need to show the loading bar:

  1. while the JS widget is loading, if the user has JS
  2. while the menu is loading, after the input has been changed

After speaking to @Mooeypoo it seems this task is about point 2

Point 1 filed as T210080

Tchanders closed this task as Declined.Nov 26 2018, 3:41 PM